## List payments for a payment link

Returns a paginated list of payments associated with a specific payment link.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/list-payment-link-payments HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  payment_link_id: string,
  per_page: number?,
  after: string?,
  before: string?,
}
```

Returns: object

## Request arguments

### `payment_link_id` (string)

**Required**. The unique identifier of the payment link.

### `per_page` (number)

_Optional_. Number of payments to return per page (default: 25)

### `after` (string)

_Optional_. Cursor for pagination - return payments created before this payment UID

### `before` (string)

_Optional_. Cursor for pagination - return payments created after this payment UID

## Response attributes

### `previous` (object)

_Nullable_. Cursor for the previous page. Contains 'before' (ID) and 'per_page' (page size) parameters. Use these values in the 'before' and 'per_page' parameters of the next request to get the previous page.

### `page` (array)

**Always present**. The current page of records, ordered by creation date (newest first).

### `next` (object)

_Nullable_. Cursor for the next page. Contains 'after' (ID) and 'per_page' (page size) parameters. Use these values in the 'after' and 'per_page' parameters of the next request to get the next page.

## Errors specific to this endpoint

### `NOT_FOUND`

This error occurs when no payment link with the provided ID exists in your
merchant account.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
